<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFileShared Method (IEdmFolder5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : AddFileShared Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

lFileID
  ID of file to share

lParentWindow
  Parent window handle

Shares a file in another folder with this folder.

# Syntax

Visual Basic |
--- | ---

    Sub AddFileShared( _
       ByVal lFileID As System.Integer, _
       ByVal lParentWindow As System.Integer _
    )

C# |
--- | ---

    void AddFileShared(
       System.int lFileID,
       System.int lParentWindow
    )

C++/CLI |
--- | ---

    void AddFileShared(
    &   System.int lFileID,
    &   System.int lParentWindow
    )

#### Parameters

lFileID
  ID of file to share
lParentWindow
  Parent window handle

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NAME_ALREADY_EXISTS: There is already a file with the same name in this folder.
- E_EDM_OPERATION_REFUSED_BY_PLUGIN: One of the installed EdmCmdData.EdmCmd_PreShare hooks did not permit the operation.
- E_EDM_FILE_NOT_FOUND: The source file was not found. (The ID is invalid.)
- E_EDM_PERMISSION_DENIED: The user lacks permission to share the specified file.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::AddFile Method ()
IEdmFolder5::CopyFile Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2